Package com.tietoenator.trip.jxp.graph

# Enum Class TdbGraphNotificationType

java.lang.Object
java.lang.Enum<TdbGraphNotificationType>
com.tietoenator.trip.jxp.graph.TdbGraphNotificationType

All Implemented Interfaces:
  `Serializable`, `Comparable<TdbGraphNotificationType>`, `Constable`

public enum TdbGraphNotificationType extends Enum<TdbGraphNotificationType>
Graph analysis notification detail type.

See Also:
  - `TdbGraph.setNotificationType(com.tietoenator.trip.jxp.graph.TdbGraphNotificationType, boolean)`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `PATH_SNAPSHOT`
  A snapshot of the current state of the path analysis, returning the working and result paths.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TdbGraphNotificationType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TdbGraphNotificationType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PATH_SNAPSHOT

    public static final TdbGraphNotificationType PATH_SNAPSHOT
    A snapshot of the current state of the path analysis, returning the working and result paths. Working paths are those still being evaluated and result paths are those that eventually will be reported as part of the analysis result.

- ## Method Details

  - ### values

    public static TdbGraphNotificationType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TdbGraphNotificationType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null